package cyou.chenx221.controller;

import cyou.chenx221.helper.UsernameHelper;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

@Controller
public class ViewController {
    @RequestMapping(path = "/success", method = {RequestMethod.GET, RequestMethod.POST}) //弃用
    public String success() {
        return "success"; // 视图文件名
    }

    @RequestMapping(path = "/fail", method = {RequestMethod.GET, RequestMethod.POST}) //弃用
    public String fail() {
        return "fail"; // 视图文件名
    }

    @RequestMapping(path = "/dashboard", method = {RequestMethod.GET})
    public String showDashboard(Model model) {
        String username = new UsernameHelper().getCurrentUsername();
        if (username != null) {
            model.addAttribute("username", username);
        }
        String role = new UsernameHelper().getCurrentRole();
        if (role.equals("[ROLE_admin]"))
            return "dashboard/dashboard";
        else if (role.equals("[ROLE_teacher]")) {
            return "dashboard/dashboard_t";
        } else {
            return "dashboard/dashboard_s";
        }
    }
}
