package cyou.chenx221.handler;

import org.springframework.security.core.AuthenticationException;
import org.springframework.security.web.authentication.AuthenticationFailureHandler;
import org.springframework.stereotype.Component;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

@Component
public class CustomAuthenticationFailureHandler implements AuthenticationFailureHandler {

    @Override
    public void onAuthenticationFailure(HttpServletRequest request, HttpServletResponse response, AuthenticationException exception) throws IOException, ServletException {
        // 在验证失败时执行的逻辑
        request.getSession().setAttribute("errorMessage", "用户名或密码不正确，请重新输入。");
        System.out.println("到过这里");
        response.sendRedirect("/login"); // 重定向到登录页面
    }
}
