package cyou.chenx221.mapper;

import cyou.chenx221.pojo.Course;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CourseDao {
    List<Course> getAllCourses();

    List<Course> getQueryCourses(Course course);

    int updateCourse(Course course);

    Course getCourseById(int id);

    int deleteCourse(int id);

    void insertCourse(Course course);
}
