package cyou.chenx221.mapper;

import cyou.chenx221.pojo.Score;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ScoreDao {
    List<Score> getAllScore();

    List<Score> getQueryScores(Score score);

    int updateScore(Score score);

    Score getScoreById(int id);

    int deleteScore(int id);

    int insertScore(Score score);

    int getStudentIdByUsername(String username);

    List<Score> getQueryScore(int id);
}
