package cyou.chenx221.service;

import cyou.chenx221.mapper.CourseDao;
import cyou.chenx221.pojo.Course;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CourseService {
    private CourseDao courseDao;

    public CourseService(CourseDao courseDao) {
        this.courseDao = courseDao;
    }


    public List<Course> getAllCourses() {
        return courseDao.getAllCourses();
    }

    public List<Course> getQueryCourses(Course course) {
        return courseDao.getQueryCourses(course);
    }


    public int updateCourse(Course course) {
        return courseDao.updateCourse(course);
    }

    public Course getCourseById(int id) {
        return courseDao.getCourseById(id);
    }

    public int deleteCourse(int id) {
        return courseDao.deleteCourse(id);
    }

    public void insertCourse(Course course) {
        courseDao.insertCourse(course);
    }
}
