package cyou.chenx221.service;

import cyou.chenx221.mapper.ScoreDao;
import cyou.chenx221.pojo.Score;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ScoreService {
    private ScoreDao scoreDao;

    public ScoreService(ScoreDao scoreDao) {
        this.scoreDao = scoreDao;
    }

    public int deleteScore(int id) {
        return scoreDao.deleteScore(id);
    }

    public Score getScoreById(int id) {
        return scoreDao.getScoreById(id);
    }

    public List<Score> getAllScores() {
        return scoreDao.getAllScore();
    }

    public List<Score> getQueryScores(Score score) {
        return scoreDao.getQueryScores(score);
    }

    public int updateScore(Score score) {
        return scoreDao.updateScore(score);
    }

    public int insertScore(Score score) {
        return scoreDao.insertScore(score);
    }

    //写这里可能位置不太合适...
    public int getStudentIdByUsername(String username) {
        return scoreDao.getStudentIdByUsername(username);
    }

    public List<Score> getQueryScore(int id) {
        return scoreDao.getQueryScore(id);
    }
}
