package cyou.chenx221.service;

import cyou.chenx221.mapper.TeacherDao;
import cyou.chenx221.pojo.Teacher;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class TeacherService {
    private TeacherDao teacherDao;

    public TeacherService(TeacherDao teacherDao) {
        this.teacherDao = teacherDao;
    }

    public List<Teacher> getAllTeachers() {
        return teacherDao.getAllTeachers();
    }

    public List<Teacher> getQueryTeachers(Teacher teacher) {
        return teacherDao.getQueryTeachers(teacher);
    }


    public int updateTeacher(Teacher teacher) {
        return teacherDao.updateTeacher(teacher);
    }

    public int deleteTeacher(int id) {
        return teacherDao.deleteTeacher(id);
    }

    public int addTeacher(Teacher teacher) {
        return teacherDao.addTeacher(teacher);
    }

    public String getClassesById(int id) {
        return teacherDao.getClassesById(id);
    }

}
