package cyou.chenx221.handler;

import org.springframework.security.core.Authentication;
import org.springframework.security.core.GrantedAuthority;
import org.springframework.security.web.authentication.SimpleUrlAuthenticationSuccessHandler;
import org.springframework.stereotype.Component;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.Collection;

@Component
public class CustomAuthenticationSuccessHandler extends SimpleUrlAuthenticationSuccessHandler {

    @Override
    public void onAuthenticationSuccess(HttpServletRequest request, HttpServletResponse response, Authentication authentication) throws IOException, ServletException {
        // 移除 errorMessage 属性
        request.getSession().removeAttribute("errorMessage");

//        Collection<? extends GrantedAuthority> authorities = authentication.getAuthorities();
//        for (GrantedAuthority authority : authorities) {
//            if (authority.getAuthority().equals("ROLE_admin")) {
//                response.sendRedirect("/dashboard");
//                return;
//            } else if (authority.getAuthority().equals("ROLE_teacher")) {
//                response.sendRedirect("/dashboard-t");
//                return;
//            } else if (authority.getAuthority().equals("ROLE_student")) {
//                response.sendRedirect("/dashboard-s");
//                return;
//            }
//        }
        // 如果没有匹配的角色，或者无法确定跳转的目标页面，则默认跳转到 "/dashboard"
        super.onAuthenticationSuccess(request, response, authentication);
    }
}