package cyou.chenx221.mapper;

import cyou.chenx221.pojo.Student;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface StudentDao {
    void insertStudent(Student student);
    void deleteStudent(int id);
    Student getStudentById(int studentId);
    List<Student> getAllStudents();

    List<Student> getQueryStudents(Student student);
    List<Student> getQueryStudents2(Student student);
    void updateStudent(Student student);

    List<Student> getAllStudentsT(String classes);

    int getIdByUsername(String username);

    int getDetailByUsername(String username);
}
