package cyou.chenx221.mapper;

import cyou.chenx221.pojo.User;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface UserMapper {
    User getUserByUsername(String username);

    void insertUser(User user);

    List<User> getAllUsers();


    int insertUserv2(User user);

    User getUserById(int id);

    int updateUserPassword(User user);

    int disabledUser(int id);

    int enabledUser(int id);

    int getDetailByUsername(String username);

    void setAvatar(User user);

    String getAvatar(String username);
}
