package cyou.chenx221.pojo;

import java.sql.Date;

public class Teacher {
    private Integer id;//教师id (主键)
    private String name;//教师名称
    private String sex;//性别
    private Date birthday;//出生日期
    //    private Integer course_id;//课程id
//    private String course_name;//课程名称//*需要额外处理
    private Course course;//课程
    private String classes;//班级(目前仅单个班级)
    private Integer removed;//移除标志
    private Date birthdayBegin;
    private Date birthdayEnd;

    public Date getBirthdayBegin() {
        return birthdayBegin;
    }

    public void setBirthdayBegin(Date birthdayBegin) {
        this.birthdayBegin = birthdayBegin;
    }

    public Date getBirthdayEnd() {
        return birthdayEnd;
    }

    public void setBirthdayEnd(Date birthdayEnd) {
        this.birthdayEnd = birthdayEnd;
    }

    public Teacher(Course course, String classes) {
        this.course = course;
        this.classes = classes;
    }

    public Teacher(Integer id, String name, String sex, Course course, String classes, Date birthdayBegin, Date birthdayEnd) {
        this.id = id;
        this.name = name;
        this.sex = sex;
        this.course = course;
        this.classes = classes;
        this.birthdayBegin = birthdayBegin;
        this.birthdayEnd = birthdayEnd;
    }

    public Teacher(Integer id, String name, Date birthday, Course course, String classes) {
        this.id = id;
        this.name = name;
        this.birthday = birthday;
        this.course = course;
        this.classes = classes;
    }

    @Override
    public String toString() {
        return "Teacher{" +
                "id=" + id +
                ", name='" + name + '\'' +
                ", sex='" + sex + '\'' +
                ", birthday=" + birthday +
                ", course=" + course +
                ", classes='" + classes + '\'' +
                ", removed=" + removed +
                '}';
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public Date getBirthday() {
        return birthday;
    }

    public void setBirthday(Date birthday) {
        this.birthday = birthday;
    }

    public Course getCourse() {
        return course;
    }

    public void setCourse(Course course) {
        this.course = course;
    }

    public String getClasses() {
        return classes;
    }

    public void setClasses(String classes) {
        this.classes = classes;
    }

    public Integer getRemoved() {
        return removed;
    }

    public void setRemoved(Integer removed) {
        this.removed = removed;
    }

    public Teacher(String name, String sex, Date birthday, Course course, String classes) {
        this.name = name;
        this.sex = sex;
        this.birthday = birthday;
        this.course = course;
        this.classes = classes;
    }

    public Teacher(Integer id, String classes) {
        this.id = id;
        this.classes = classes;
    }

    public Teacher(Integer id) {
        this.id = id;
    }

    public Teacher(Integer id, String name, String sex, Date birthday, Course course, String classes, Integer removed) {
        this.id = id;
        this.name = name;
        this.sex = sex;
        this.birthday = birthday;
        this.course = course;
        this.classes = classes;
        this.removed = removed;
    }

    public Teacher() {
    }
}
