package cyou.chenx221.pojo;

public class User {
    private Integer id;
    private String username;
    private String password;
    private String roles;
    private Integer detail;//对应身份的id // roleid
    private int disabled;//是否被禁用
    private boolean disabled_str;

    private String avatar;

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public boolean getDisabled_str() {
        return disabled_str;
    }

    public void setDisabled_str(boolean disabled_str) {
        this.disabled_str = disabled_str;
    }

    public int getDisabled() {
        return disabled;
    }

    public void setDisabled(int disabled) {
        this.disabled = disabled;
        this.disabled_str = (disabled != 0);
    }

    public User(String username, String password, String roles, Integer detail) {
        this.username = username;
        this.password = password;
        this.roles = roles;
        this.detail = detail;
    }

    public Integer getDetail() {
        return detail;
    }

    public void setDetail(Integer detail) {
        this.detail = detail;
    }

    public User() {
    }

    public String getRoles() {
        return roles;
    }

    public void setRoles(String roles) {
        this.roles = roles;
    }

    public User(Integer id, String username, String password) {
        this.id = id;
        this.username = username;
        this.password = password;
    }

    public User(Integer id, String password) {
        this.id = id;
        this.password = password;
    }

    public User(String username, String password) {
        this.username = username;
        this.password = password;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }
}
